== 2.7.1 10/01/2021 == 

- Fix: Allow super admins all capabilities within WooCommerce Admin #7489
- Fix: Fix end date for last periods #6584
- Fix: Fix up onboarding profiler not working when opted out of tracking #7490
- Fix: Making Business Details sticky in onboarding wizard #7426
- Fix: Missing RTL for onboarding styles. #7531
- Fix: No changelog necessary as it is in the component package. #7423
- Fix: Skip scheduling action if Action Scheduler tables have not been set up #7521
- Fix: Update country region typeahead for better autofill support. #7497
- Fix: Use installable extensions for local state versus free extensions. #7585
- Fix: Fix fatal error and unrelated results in analytics. #7682
- Fix: Harden the reports directory #7691
- Fix: Update task-item logic to only display content when expanded is true. #7611
- Add: Show Pinterest in installed marketing extensions (if installed) #7417
- Add: Added MailchimpScheduler that runs daily to subscribe store_email in the profile data #7579
- Add: Added shipping plugin recommendations to settings page (#7446).
- Add: Adding endpoint to snooze onboarding task #7539
- Add: Adding undo snooze task endpoint #7560
- Add: Add task dismissal endpoints #7538
- Update: Add HK and SG countries to WC Pay intl support. #7558
- Update: Create task list REST API endpoint #7512
- Update: Deleted OnboardingEmailMarketing note class #7595
- Update: Removes the use of the depreciated woocommerce_shared_settings hook. #7480
- Update: Updating eway logo in payment suggestions defaults #7562
- Update: Update marketing task completion logic. #7586
- Dev: Add email address field to OBW #7552
- Tweak: Add navigation items for the Marketplace menu. #7529
- Tweak: Change all analytics strings and labels to sentence case. #6501
- Tweak: Delete unneeded double spaces in text strings. #7502
- Tweak: Remove the preloaded onboarding options #7338
- Tweak: Update analytics card header text styles #6506
- Enhancement: Align Table fields with the fallback on isNumeric. #7431

== 2.6.0 08/31/2021 == 

- Fix: Fixes action button mis-alignment within card footer. #7412
- Fix: Fixing issues with ReportTable component data not populating correctly #7355
- Fix: Fix tracks events for payment gateway suggestions #7304
- Fix: Update status values in CSV download to match the table #7284
- Fix: Allow super admins all capabilities within WooCommerce Admin #7489
- Fix: Fix blank screen by setting a default value #7506
- Fix: Fix analytics overview re-arrangement on initial load. #7475
- Fix: Fix up onboarding profiler not working when opted out of tracking #7490
- Fix: Fix blank screen on analytics screens when searching #7482
- Fix: Fix all links with hash to behind query parameters #7483
- Fix: Fix Stats module CSS issue introduced by Gutenberg #7488
- Add: Add boolean isReverseTrend prop to SummaryNumber to show "positive" delta for negative numbers. #7357
- Add: Adding links to help panel for marketing task #7384
- Add: Add installed marketing extensions card to extensions task #7419
- Add: Add marketing extensions task to task list #7383
- Add: Add tracks to marketing manage button click #7467
- Add: Add default marketing extensions as fallbacks #7466
- Add: Add marketing task completion check and tests #7451
- Add: navigation items for the Marketplace menu. #7529
- Update: Add locale param as part of free extensions request #7391
- Update: Increase per_page value for search results on the Analytics pages. #7385
- Update: Removing grow section from local free extensions in OBW #7386
- Update: Don't show the marketing task if no marketing tasks exist #7460
- Update: Delete free extensions transient on WCA update #7454
- Update: Update business details to use extensions data store #7452
- Update: Split Extensions page into Marketplace and My Subscriptions. #7471
- Dev: Added utm_medium=product to woocommerce.com links. #7408
- Dev: Update Jest to version 27. #7430
- Tweak: Refactor on payment settings recommendations eligibility component for reuse. #7447
- Tweak: Register wc-admin page for all users and handle authorization in client #7285

== 2.5.1 08/16/2021 == 

- Fix: Fix blank screen by setting a default value #7506

== 2.5.0 08/09/2021 == 

- Add: Add a delete option to completed tasks #7300
- Add: Add unit tests around extended payment gateway controller #7133
- Add: Add payment gateway suggestion unit tests #7142
- Add: Add TableSummaryPlaceholder to support skeleton loading #7294
- Add: Feature toggle to disable Analytics UI #7168
- Add: Hook reference slotFill support #6833
- Add: Adding tests for PaymentGatewaySuggestions > List component #7201
- Add: Remote Inbox feature setting toggle #7298
- Dev: Add `woocommerce_admin_export_id` filter for customizing the export file name #7178
- Dev: Allow packages to be build independently, fix commonjs module builds. #7286
- Dev: Point the changelog linter to updated changelog entry location #7318
- Dev: Remove old payment gateway task components #7224
- Fix: Attribute filter bug with "any X" variations. #7046
- Fix: Currency display on Orders activity card on homescreen #7181
- Fix: Fix obsolete key property in gateway defaults #7229
- Fix: Fixing button state logic for remote payment gateways #7200
- Fix: Recommended gateway suggestions not displayed properly #7231
- Fix: Include onboarding settings on the analytic pages #7109
- Fix: Load Analytics API only when feature is turned on #7193
- Fix: Localize string for description #7219
- Fix: Filters. On update respect all other queries, not just persistedQueries #7155
- Fix: Use saved form values if available when switching tabs #7226
- Fix: Skip schedule customer data deletion on site deletion #7214
- Fix: WCPay not working in local payments task #7151
- Fix: Report export filtering bug. #7165
- Fix: Add padding on table header button #7213
- Fix: Use tab char for the CSV injection prevention. #7154
- Fix: Add height auto on autocomplete popover button #7225
- Fix: Make WooCommerce-admin full-screen minimum height 100vh important #7230
- Fix: Cache product/variation revenue query results. #7067
- Fix: Transient overlapping adjacent content. #7302
- Fix: Unused feature preloaded options #7299
- Fix: Fix missing translation strings for CES #7270
- Fix: Add missing translation strings in the business features section #7268
- Fix: Fix inbox note dismiss dropdown not closing on Safari #7278
- Fix: Fixed OBW Business details style #7353
- Fix: Fix links on the dismiss dropdown are not clickable #7342
- Fix: Fix undefined method error when setting up WC Tax #7344
- Fix: Invalidate task status when enabling a payment gateway #7330
- Fix: Redirect to homescreen after payment gateway setup #7332
- Fix: Create workable defaults for Reports that don’t have AdvancedFilters #7186
- Fix: Sync the category lookup table when a new category gets created #7290
- Fix: Set default value for performanceIndicators variable #7343
- Fix: Add limit clause to coupons data store query #7399
- Fix: Fix analytics filter Gutenberg CSS conflict #7410
- Fix: Fix Gutenberg CardBody styles for task card #7411
- Fix: Fix orders panel not displaying any orders when analytics is disabled #7395
- Fix: Fix recommended card Gutenberg CSS conflict #7409
- Fix: Update tooltip styling to fix new Gutenberg updates. #7414
- Fix: Allow super admins all capabilities within WooCommerce Admin #7489
- Fix: Fix analytics overview re-arrangement on initial load. #7475
- Fix: Fixes action button mis-alignment within card footer. #7412
- Fix: Fix up onboarding profiler not working when opted out of tracking #7490
- Tweak: Remove performance indicators when Analytics Flag disabled #7234
- Tweak: Change event name when installing Google Listings and Ads. #7276
- Tweak: Removed unused feature flags #7233 and #7273
- Tweak: Render a spinner while woocommerce_setup_jetpack_opted_in is being loaded #7269
- Tweak: Repurpose disable wc-admin filter to remove optional features #7232
- Update: Add additional countries to WCPay for business features and payment task fallback #7436
- Update: Notes to use a date range. #7222
- Update: Remove facebook extension from onboarding extensions fallback list #7287
- Performance: Add lazy loading by checking panel open status #7379

== 2.4.4 07/21/2021 == 

- Fix: Fix homepage stock panel regression in 2.4.3. #7389

== 2.4.3 07/21/2021 == 

- Fix: Add a new low stock products endpoint to improve the performance. #7377

== 2.4.2 07/19/2021 == 

- Fix: Add lazy loading by checking panel open status #7376
- Fix: Add cache-control header to low stock REST API response #7364

== 2.4.1 07/01/2021 == 

- Fix: Fix and refactor explat polling to use setTimeout #7274

== 2.4.0 06/29/2021 == 

- Add: SlotFill to Abbreviated Notification panel #7091
- Add: Consume remote payment methods on frontend #6867
- Add: Extend payment gateways REST endpoint #6919
- Add: Add remote payment gateway recommendations initial docs #6962
- Add: Add loading placeholders for payment gateways task #7123
- Add: Note date range logic for GivingFeedback, and InsightFirstSale note. #6969
- Add: Add transient notices feature #6809
- Add: Add transformers in remote inbox notifications #6948
- Add: Add Mercado Pago as default fallback payment gateway #7043
- Add: Add in Razorpay as default fallback payment gateway #7096
- Add: Get post install scripts from gateway and enqueue in client #6967
- Add: Add eWAY as default fallback gateway #7108
- Add: Free extension list powered by remote config #6952
- Add: Add PayPal to fallback payment gateways #7001
- Add: Add a data store for WC Payments REST APIs #6918
- Add: Progressive setup checklist copy and call to action buttons. #6956
- Add: Add Paystack as fallback gateway #7025
- Add: Add Square as default fallback gateway #7107
- Add: Add COD method to default payment gateway recommendations #7057
- Add: Add BACS as default fallback payment gateway #7073
- Add: A/B test of progressive checklist features. #7089
- Add: Add payment gateway return URL and action #7095
- Add: Add Mollie to the default payment gateways. #7092
- Add: Show task and activity notifications in the Inbox panel #7017
- Add: Adding WCPay payment configuration defaults. #7097
- Add: Create onboarding package to house refactored WCPay card and relevant components #7058
- Dev: Add Jetpack Backup admin note #6738
- Dev: Reduce the specificity and complexity of the ReportError component #6846
- Dev: Converting <SettingsForm /> component to TypeScript. #6981
- Dev: Update package-lock to fix versioning of local packages. #6843
- Dev: Use rule processing for remote payment methods #6830
- Dev: Update E2E jest config, so it correctly creates screenshots on failure. #6858
- Dev: Fixed storybook build script #6875
- Dev: Removed allowed keys list for adding woocommerce_meta data. #6889 🎉 @xristos3490
- Dev: Delete all products when running product import tests, unskip previously skipped test. #6905
- Dev: Add payment method selector to onboarding store #6921
- Dev: Add disabled prop to SelectControl #6902
- Dev: Add filter variation to tracks data in products analytics. #6913
- Dev: Offload remote inbox notifications engine run using action-scheduler. #6995
- Dev: Add source param support for notes query. #6979
- Dev: Remove the use of Dashicons and replace with @wordpress/icons or gridicons. #7020
- Dev: Refactor inbox panel components and moved to experimental package. #7006
- Dev: Business features uncheck creative mail by default #7139
- Dev: Remove support for IE11. #7112
- Dev: Drop styling support for IE11. #7137
- Dev: Remove react-docgen docs in favor of Storybook #7055
- Enhancement: Add expand/collapse to extendable task list. #6910
- Enhancement: Add task hierarchy support to extended task list. #6916
- Enhancement: Add remind me later option to task list. #6923
- Enhancement: Enable Remote Free Extensions List #7144
- Enhancement: Adding Slotfills for remote payments and SettingsForm component. #6932
- Fix: Update the wordpress/babel-preset to avoid crashes in WP5.8 beta2 #7202
- Fix: Add fallback for the select/dispatch data-controls for older WP versions #7204
- Fix: RemoteFreeExtension hide bundle when all of its plugins are not visible #7182
- Fix: Issue where summary stats were not showing in Analytics > Stock. #7161
- Fix: Rule Processing Transformer to handle dotNotation default value #7009
- Fix: Remove Navigation's uneeded SlotFill context #6832
- Fix: Report filters expecting specific ordering. #6847
- Fix: Render bug with report comparison mode selections. #6862
- Fix: Throw exception if the data store cannot be loaded when trying to use notes. #6771
- Fix: Autocompleter for custom Search in FilterPicker #6880
- Fix: Get currency from CurrencyContext #6723
- Fix: Correct the left position of transient notices when the new nav is used. #6914
- Fix: Exclude WC Shipping for store that are only offering downloadable products #6917
- Fix: SelectControl focus and de-focus bug #6906
- Fix: Multiple preload tag output bug. #6998
- Fix: Call existing filters for leaderboards in analytics. #6626
- Fix: Set target to blank for the external links #6999
- Fix: Fix style regression with the Chart header. #7002
- Fix: Fix styling of the advanced filter operator selection. #7005
- Fix: Deprecated warnings from select control @wordpress/data-controls. #7007
- Fix: Bug with Orders Report coupon exclusion filter. #7021
- Fix: Show Google Listing and Ads in installed marketing extensions section. #7029
- Fix: Notices not dissapearing. #7077
- Fix: Keyboard accessibility on the free features tab. #7149
- Fix: Fix error handling when remote free extension API returns empty array. #7147
- Fix: Transformer casing is incorrect and creates an error on case-sensitive systems #7104
- Fix: Preventing redundant notices when installing plugins via payments task list. #7026
- Fix: Autocompleter for custom Search in CompareFilter #6911
- Fix: Add target to the button to open it in a new tab  #7110
- Fix: Make `Search` accept synchronous `autocompleter.options`. #6884
- Fix: Set autoload to false for all remote inbox notifications options. #7060
- Fix: The use of gridicons for Analytics section controls. #7237
- Fix: WordPress 5.8 compatibility UI fixes #7255
- Fix: CurrencyFactory constructor to use proper function #7261
- Tweak: Setup checklist copy revert. #7015
- Tweak: Revert Card component removal #7167
- Update: Task list component with new Experimental Task list. #6849
- Update: Optimize payment gateway resolution #7124
- Update: Experimental task list import to the experimental package. #6950
- Update: Redirect to WC Home after setting up a payment method #6891
- Update: Hook up payments gateway data store #7038
- Update: Update remote payment docs gateway methods #7079
- Update: Remove original business step flow #7103
- Update: WooCommerce Shipping copy on onboarding steps #7148

== 2.3.1 05/24/2021 == 

- Tweak: Store profiler  Changed MailPoet's title and description #6990
- Tweak: Adjust WC Pay supported countries #7048
- Update: Payment recommendation screen transition and add external link icon. #7022
- Fix: A JS exception being thrown on the product tags page. #7053
- Fix: Show Google Listing and Ads in installed marketing extensions section. #7029

== 2.3.0 05/13/2021 == 

- Add: Add plugin installer to allow installation of plugins via URL #6805
- Add: Optional children prop to SummaryNumber component #6748
- Dev: Add data source filter to remote inbox notification system #6794
- Dev: Introduce usage of ExPlat, an A/B testing tool. See https
- Dev: Add support for nonces in note actions #6726
- Dev: Add support for running php unit tests in PHP 8. #6678
- Dev: Add event recording to start of gateway connections #6801
- Feature: Add recommended payment methods in payment settings. #6760
- Fix: Event tracking for merchant email notes #6616
- Fix: Use the store timezone to make time data requests #6632
- Fix: Update the checked input radio button margin style #6701
- Fix: Convert date to timestamp before passing to set_date_prop to persist timezone #6795
- Fix: Make pagination buttons height and width consistent #6725
- Fix: Retain persisted queries when navigating to Homescreen #6614
- Fix: Update folded header style #6724
- Fix: Unreleated variations showing up in the Products reports #6647
- Fix: Check active plugins before getting the PayPal onboarding status #6625
- Fix: Remove noreply from inbox notification emails #6644
- Fix: Set up shipping costs task, redirect to shipping settings after completion. #6791
- Fix: Onboarding logic on WooCommerce update to keep task list present. #6803
- Fix: Pause inbox message “GivingFeedbackNotes” #6802
- Fix: Missed DB version number updates causing unnecessary upgrades. #6818
- Fix: Parsing bad JSON string data from user WooCommerce meta. #6819
- Fix: Remove PayPal for India #6828
- Performance: Avoid updating customer info synchronously from the front end. #6765
- Tweak: Add settings_section event prop for CES #6762
- Tweak: Refactor payments to allow management of methods #6786
- Tweak: Add tracking data for the preview site button #6623
- Tweak: Update WC Payments copy on the task list #6734
- Tweak: Update payment gateway suggestions semantics to be more consistent #7130
- Tweak: Add check to see if value for contains is array, show warning if not. #6645
- Tweak: Sort the extension task list by completion status and allow toggling visibility. #6792
- Tweak: Only fetch remote payment gateway recommendations when opted in #6964
- Update: Replace marketing extension  Google Listings and Ads. #6939
- Update: Update choose niche note cta URL #6733
- Update: UI updates to Payment Task screen #6766
- Update: Update payment gateway suggestions semantics to be more consistent #7130
- Update: Adding setup required icon for nonconfigured payment methods #6811

== 2.2.6 05/07/2021 == 

- Fix: Address an issue with OBW when installing only WooCommerce payments and Jetpack. #6957

== 2.2.5 05/07/2021 == 

- Fix: Calling of get_script_asset_filename with extra parameter #6955

== 2.2.4 05/07/2021 == 

- Dev: Fix a bug where trying to load an asset registry causes a crash. #6951

== 2.2.3 05/06/2021 == 

- Dev: Do a git clean before the core release. #6945

== 2.2.2 04/28/2021 == 

- Fix: Disable the continue btn on OBW when requested are being made #6838
- Tweak: Revert WCPay international support for bundled package #6901
- Tweak: Store profiler  Changed MailPoet's title and description #6886
- Tweak: Update PayU logo #6829

== 2.2.0 03/30/2021 == 

- Fix: Check if features are currently being enabled #6688
- Fix: Fix the activity panel toggle not closing on click #6679
- Fix: Fix use of feature checks and remove deprecated method calls #6687
- Fix: Allow the manager role to query certain options #6577
- Fix: Delete customer data on network user deletion #6574
- Fix: Fix Themes step visibility in IE 11 #6578
- Fix: Fix hidden menu title on smaller screens #6562
- Fix: Add gross sales column to CSV export #6567
- Fix: Add check for navigating being enabled. #6462
- Fix: Move the shipping input and text 1px lower. #6408
- Fix: Correct the Klarna slug #6440
- Fix: Broken link anchors to online documentation. #6455
- Fix: Update payment card style on mobile #6413
- Fix: Missing i18n in Welcome modal. #6456
- Fix: Restore visual styles back to Analytics tabs. #5913
- Fix: Update contrast and hover / active colors for analytics dropdown buttons #6504
- Fix: Associated Order Number for refunds was hidden #6428
- Fix: Fix issue where Loader
- Fix: Correct a bug where the JP connection flow would not happen when installing JP in the OBW. #6521
- Fix: Show management links when the task list is complete (even if its not hidden). #6657
- Fix: Adding New Zealand and Ireland to selective bundle option, previously missed. #6649
- Fix: Update the Mercado option used for enabling/disabling. #6677
- Fix: Improve AddFirstProduct email note contents. #6617
- Fix: Missing margin between cards and viewport in setup wizard #6620
- Add: Next new novel navigation nudge note #6610
- Add: Add legacy report items to new navigation #6507
- Add: Add preview site button on the appearance task #6457
- Add: Back button to go to home screen from tasks in the task list. #6397
- Add: Add a "rather not say" option to revenue in the profile wizard. #6475
- Add: Remove Mollie promo note on install #6510
- Add: Remote Inbox Notifications rule to trigger when WooCommerce Admin is upgraded. #6040
- Add: Add Ireland to Square payment method #6559
- Add: CES survey for search product, order, customer #6420
- Add: CES survey for importing products #6419
- Add: CES survey for adding product categories, tags, and attributes #6418
- Add: Additional analytics tracking for the business details step. #6575
- Add: Include tracking for mail poet installs in the selective bundle install #6603
- Add: Paystack payment provider to several african countries. #6579
- Tweak: Add default value for contains op #6622
- Tweak: Adjust targeting store age for the Add First Product note #6554
- Tweak: Improve WC Shipping & Tax logic #6547
- Tweak: Update Insight inbox note content #6555
- Tweak: Remove mobile activity panel toggle #6539
- Tweak: Refactor autoloader to remove global variable. #6412
- Dev: Close activity panel tabs by default and track #6566
- Dev: Update undefined task name properties for help panel tracks #6565
- Dev: Refactor profile wizard benefits step and add tests #6583
- Dev: Add filter to profile wizard steps #6564
- Dev: Add nav intro modal tests #6518
- Dev: Use wc filter to get status tabs for tools category #6525
- Dev: Add nav header component tests #6509
- Dev: Add initial tests for navigation Menu class #6492
- Dev: Remove active item from navigation store #6486
- Dev: Add navigation container tests #6464
- Dev: Add nav favorite button tests #6446
- Dev: Add a changelog lint check to PRs. #6414
- Dev: Add navigation favorites tests #6409
- Dev: support use of Array.flat in client and packages. #6411
- Dev: Deprecate Onboarding
- Dev: Add Dependency Extraction Webpack Plugin #5762
- Dev: Add clientside filter for Navigation rootBackUrl #6505
- Dev: Remove `items_purchased` and `account_type` props from onboarding profile API. #6520
- Dev: Added warning when WCAdmin is active but not being used #6453
- Dev: Store profiler  Added MailPoet to Business Details step  #6503
- Dev: Store profiler  Added MailPoet to new Business Details step  #6515
- Dev: Add tilde (~) to represent client root directory for imports. #6517
- Dev: Add script automation for gathering hooks and filters. #6454
- Dev: Add TypeScript to CustomerFeedbackModal component. #6498
- Dev: Add TypeScript and page objects to the E2E test suite. #6582
- Dev: Introduce Typescript to Navigation utils #6477
- Dev: Payments task
- Dev: Ensure script asset.php files are included in builds #6635
- Dev: Ensure production script asset names don't include .min suffix #6681

== 2.1.4 03/29/2021 == 

- Fix: Adding New Zealand and Ireland to selective bundle option, previously missed. #6649

== 2.1.3 03/14/2021 == 

- Feature: Increase target audience for business feature step. #6508
- Fix: Correct a bug where the JP connection flow would not happen when installing JP in the OBW. #6521
- Fix: Add customer name column to CSV export #6556

== 2.1.2 03/10/2021 == 

- Fix: Add guard to "Deactivate Plugin" note handlers to prevent fatal error. #6532
- Fix: Crash of Analytics > Settings page when Gutenberg is installed. #6540

== 2.1.1 03/04/2021 == 

- Fix: Restore missing Correct the Klarna slug #6440

== 2.1.0 03/04/2021 == 

- Dev: Allow highlight tooltip to use body tag as parent. #6309
- Dev: Remove Google fonts and material icons. #6343
- Dev: Add filter to allow enabling the WP toolbar within the new navigation. #6371
- Dev: Add unit tests to Navigation's Container component. #6344
- Dev: Use box sizing and padding to fix nav and admin menu styling #6335
- Dev: Refactor head and body heights #6247
- Dev: Fix the react state update error on homescreen. #6320
- Dev: Change `siteUrl` to `homeUrl` on navigation site title #6240
- Dev: Add navigation favorites data store #6275
- Dev: Add a changelog lint check to PRs. #6414
- Add: Remove CES actions for adding and editing a product and editing an order #6355
- Add: CES track settings tab on updating settings #6368
- Add: Favorites tooltip to the navigation #6312
- Add: Core settings redirection to new settings pages #6091
- Add: Settings feature and pages #6089
- Add: Settings client pages #6092
- Add: Favoriting extensions client UI #6287
- Add: Add navigation intro modal. #6367
- Add: WC Admin Docker setup with WPENV
- Fix: Enqueue scripts called incorrectly in php unit tests #6358
- Fix: Removed @woocommerce/components/card from OBW #6374
- Fix: Email notes now are turned off by default #6324
- Fix: Top bar slightly overlaps wpadmin navigation on mobile #6292
- Fix: Hide tooltip in welcome modal #6142
- Fix: update single column home screen width to 680px #6297
- Fix: Recommended Payment Banner missing in Safari #6375
- Fix: Empty nav menu #6366
- Fix: Check if tax was successfully added before displaying notice #6229
- Fix: Update timing of InboxPanel state changes for the unread indicator #6246
- Fix: Display" option fails to collapse upon invoking "Help" option #6233
- Fix: Removal of core settings pages #6328
- Fix: Fix double prefixing of full navigation URLs #6460
- Fix: Reset Navigation submenu before making Flyout #6396
- Fix: Move the shipping input and text 1px lower. #6408
- Tweak: Order and styles updates to nav footer #6373
- Tweak: Enqueue beta features scripts on enqueue_scripts action instead of filter  #6358
- Tweak: Set `is_deleted` from the database when instantiating a `Note` #6322
- Tweak: New Settings
- Tweak: Update inline documentation for navigation Screen class #6173
- Tweak: Remove categories without menu items #6329
- Tweak: Navigation
- Tweak: Move admin menu manipulation from admin_head to admin_menu #6310
- Tweak: Updates to copy and punctuation to be more conversational and consistent. #6298
- Enhancement: Move capability checks to client #6365
- Enhancement: Navigation
- Enhancement: override wpbody styles when nav present #6354
- Enhancement: Move favorited menu items to primary menu #6290

== 2.0.3 03/10/2021 == 

- Fix: Crash of Analytics > Settings page when Gutenberg is installed. #6540

== 2.0.2 05/25/2021 == 

- Fix: Correct the Klarna slug #6440

== 2.0.0 02/05/2021 == 

- Tweak: Bump minimum supported version of PHP to 7.0. #6046
- Tweak: update the content and timing of the NeedSomeInspiration note. #6076
- Tweak: Adjust the Marketing note not to show until store is at least 5 days. #6083
- Tweak: Refactored extended task list. #6081
- Fix: allow for more terms to be shown for product attributes in the Analytics orders report. #5868
- Fix: Add support for a floatingpoint number as a SummaryNumber's delta. #5926
- Fix: Fixed the Add First Product email note checks. #6260
- Fix: Onboarding  Fixed "Business Details" error. #6271
- Fix: Show management links when only main task list is hidden. #6291
- Fix: Persist the enabling of plugins in the payments setup task. #6332
- Add: new inbox message  Getting started in Ecommerce  watch this webinar. #6086
- Add: Remote inbox notifications contains comparison and fix product rule. #6073
- Add: Task list payments  include Mollie as an option. #6257
- Add: Allow users to install the PayU plugin in the payments setup task. #6332
- Update: store deprecation welcome modal support doc link #6094
- Update: Homescreen layout, moving Inbox panel for better interaction. #6122
- Enhancement: Allowing users to create products by selecting a template. #5892
- Enhancement: Use the new Paypal payments plugin for onboarding. #6261
- Dev: Add wait script for mysql to be ready for phpunit tests in docker. #6185
- Dev: Remove old debug code for connecting to Calypso / Wordpress.com. #6097
- Dev: Allow highlight tooltip to use body tag as parent. #6309

== 1.9.0 01/15/2021 == 

- Fix: Add Customer Type column to the Orders report table. #5820
- Fix: Product exclusion filter on Orders Report.
- Fix: Typo in Variation Stats DataStore context filter value.
- Fix: support custom attributes in Attribute advanced report filter.
- Fix: Don't show Stock and Reviews Homescreen panels too early.
- Fix: Undefined $collate variable when database does not have collation capability. #5992
- Fix: Moved certified owner label for review to title. ##5877
- Fix: Move collapsible config to panels object, to allow for more control. #5855
- Fix: Invalidate product count if the last product was updated in the list. #5790
- Fix: Updating (non wordpress user) customer with order data
- Fix: Fixed error hiding core task list. #6050
- Fix: Generate JSON translation chunks on plugin activation #6028
- Tweak: Remove deprecated use of Jetpack in shipping label banner. #5929
- Tweak: Remove visit_count from track, and update task count logic. #5996
- Tweak: Fix inconsistent REST API paramater name for customer type filtering.
- Tweak: update the content for the ChooseNiche note. #6048
- Enhancement: Show Help panel tooltip when user visits unfinished task more then once. #5826
- Enhancement: Tasks extensibility in Home Screen. #5794
- Enhancement: Add page parameter to override default wcadmin page in Navigation API. #5821
- Enhancement: Add an a/b experiment for installing free business features #5786
- Enhancement: Add an "unread" indicator to inbox messages. #6047
- Dev: Add documentation for filter `woocommerce_admin_pages_list` and `wc_admin_register_page` #5844
- Dev: Revert work done in #4857 for automated shipping after OBW is completed #5971
- Dev: Add `onChangeCallback` feature to the wcadmin <Form> component #5786
- Dev: Add merchant email notifications #5922
- Dev: Update travis CI distribution. #6067
- Add: Welcome modal when coming from Calypso #6004
- Add: Email note to add first product. #6024
- Add: Note for users coming from Calypso. #6030
- Add: Manage activity from home screen inbox message. #6072

== 1.8.3 01/05/2021 == 

- Fix: Compile the debug module so it can be used in older browsers like IE11. #5987

== 1.8.2 12/22/2020 == 

- Fix: Completed tasks tracking causing infinite loop #5941
- Fix: Remove Navigation access #5940

== 1.8.1 12/15/2020 == 

- Fix: Product exclusion filter on Orders Report.
- Fix: Typo in Variation Stats DataStore context filter value. #5784

== 1.8.0 12/07/2020 == 

- Enhancement: Add "filter by variations in reports" inbox note. #5208
- Enhancement: Tasks extensibility in Home Screen. #5794
- Enhancement: Add page parameter to override default wcadmin page in Navigation API. #5821
- Enhancement: Introduce the customer effort score (CES) feature.
- Enhancement: Rework task extensibility in the homescreen. #5794
- Enhancement: Migrate the reviews panel to the homescreen. #5706
- Enhancement: Migrate reviews panel to home screen. #5706
- Enhancement: Add Razorpay to payment task for stores in India  #5775
- Enhancement: Migrate Stock Panel to Homescreen. #5729
- Enhancement: Add enhanced placeholders for Marketing components. #5611
- Enhancement: Allow switching on/off the navigation feature in plugin and core builds. #5697
- Tweak: Fix inconsistent REST API parameter name for customer type filtering. #5823
- Tweak: Improve styles of the tax task. #5709
- Tweak: Do not show store setup link on the homescreen. #5801
- Tweak: Revert the #5001 work to order tasks by completion. #5721
- Tweak: Revert the smart tax defaults work. #5720
- Tweak: Do not show store setup activity panel on the homescreen. #5801
- Tweak: Don't show the Orders panel on the homescreen with the Task List. #5552
- Tweak: Continue showing tasklist even if list is complete, only hide if set to hidden. #5673
- Tweak: Remove check for Jetpack and WCS from Stripe onboarding task. #4933
- Fix: Move collapsible config to panels object, to allow for more control. #5855
- Fix: Invalidate product count if the last product was updated in the list. #5790
- Fix: Add Customer Type column to the Orders report table. #5820
- Fix: Product exclusion filter on Orders Report. #5822
- Fix: Show the customer type column in Orders report table. #5820
- Fix: make sure 'Customers' page updates after order update. #5776
- Fix: Fix fatal errors when child themes are installed in a subdirectory. #5783
- Fix: Allow actionable statuses in orders endpoint(s) filters. #5733
- Fix: snackbar dismissal bug. #5696
- Fix: Only import the Gridicons we need, to reduce package size. #5668
- Fix: Stop order panels flickering on load. #5655
- Fix: Load wctracks to avoid fatal errors. #5645 #5638
- Fix: Preventing desktopsized navigation placeholder from appearing on mobile during load. #5616

== 1.7.0 11/11/2020 == 

- Enhancement: Variations report.  #5167
- Enhancement: Add ability to toggle homescreen layouts. #5429
- Enhancement: Accordion component  #5474
- Enhancement: Badge component #5520
- Fix: Added support for custom actionable statuses. #5550
- Fix: wrong casing used on the PayPal brand name  #5514 🎉 @rtpHarry
- Fix: Import @wordpress/basestyles/defaultcustomproperties #5491
- Fix: downloads report  #5441
- Fix: missing custom autocompleter attribute in Search component of Advanced Filter #5448
- Fix: empty no posts state on Marketing page. #5411
- Fix: visual issues in the Search component.  #5199
- Fix: Inconsistent line endings in readme.txt. #5281
- Fix: popover menu to expand menu item width to 100%  #5519
- Fix: Wrong class name for querying Categories Report #5522 🎉 @zzap
- Fix: Remove label printing mention for non us countries #5527
- Fix: First product script navigation dependency #5584
- Fix: Added support for custom actionable statuses #5550
- Fix: Display the store management links last on the homescreen #5579
- Fix: Ensure the "Set up additional payment providers" inbox notification is shown when relevant after completing the OBW. #5547
- Tweak: Remove customer analytics data upon order deletion  #5171
- Tweak: Updating Stripe key field validation to support test keys  #5201
- Tweak: Wrap search control selected items in list  #5231
- Tweak: Update store setup link to redirect to setup wizard  #5200
- Tweak: Removing breadcrumbs from wcadmin header #5232
- Tweak: Use consistent markdown headers in navigation readme #5417
- Tweak: Remove Store Setup Alert #5499
- Tweak: Customers
- Tweak: alter homescreen layout. #5465
- Dev: Home Screen  migrate orders panel. #5455
- Dev: Store Profiler  include Creative Mail as a free extension #5543
- Dev: Add undefined check in intervals data util #5546
- Dev: Fix wakeup visibility for PHP 8 compatibility  #5211
- Dev: Fix header height and positioning for wc nav  #5173
- Dev: Add remote inbox notification rule processors for country and state  #5203
- Dev: Rename admin notes classes and file names to fit conventions  #514
- Dev: remove checks of store registration that are no longer needed.  #5170
- Dev: Fix version update script for composer.json  #5165
- Dev: Remove getAdminLink from data package  #5158
- Dev: Bump @woocommerce/components dependencies.  #5153
- Dev: Add note status remote inbox notifications rule processor #5207
- Dev: Make code chunk filenames more stable.  #5229
- Dev: Inbox Panel component moved #5252
- Dev: Added animation to Inbox note deletion  #5263
- Dev: Update starter pack dependencies #5254
- Dev: Ensure test zips have latest packages from npm and composer. #5313
- Dev: Add remote inbox notifications rule allowing access to any option #5206
- Dev: Add manage orders on the go admin note #5159
- Dev: Add WooCommerceDependencyExtractionWebpackPlugin package  #5198
- Dev: Migrate devdocs examples to Storybook stories #5271
- Dev: Remove Enzyme in favor of React Testing Library #5299
- Dev: Add exclusion rule to PHPCS config for TODO comments  #5388
- Dev: Remove no longer used isPanelEmpty logic. #5423
- Dev: Use new @wordpress/components Card on Marketing page.  #5428
- Dev: Add PSR4 naming checks to PHP linting. #5512
- Dev: Rearrange the store management links under categories add filter woocommerce_admin_homescreen_quicklinks. #5476
- Dev: Restyle the setup task list header to display incomplete tasks #5520

== 1.6.2 10/16/2020 == 

- Fix: Missing activity panels on ugraded sites #5400
- Fix: Casting of onboarding profile data to array #5415
- Fix: Gutenberg 9.1.1 compat for inbox on home screen not showing #5416
- Fix: i18n of Performance Indicator strings #5405
- Fix: Gutenberg 9.1.1 compat for empty data sets #5409

== 1.6.1 10/13/2020 == 

- Fix: Hide setup checklist shortcut when setup checklist skipped #5360
- Fix: use of undefined function on WC < 4.0.0.

== 1.6.0 10/09/2020 == 

- Dev: Reviews wp.data store #4941
- Dev: Notes wp.data store #4943
- Dev: Add woocommerce_analytics_update_order_stats_data filter #4934
- Dev: Remove unused lib/date #4987
- Dev: Exports wp.data store #4958
- Dev: Remove _experimentalResolveSelect usage #4949
- Dev: Items wp.data store #5009
- Dev: Import wp.data store #4982
- Dev: Remove `freshdata` wcapi dependency #5075
- Dev: Add initial e2e test suite #5028
- Dev: Combine translation chunks when languages updated #5094
- Dev: Add filters for columns in reports #5134
- Dev: Don't include "min" suffix in build JS files for core build #5130
- Enhancement: Add free local shipping zone on profile complete #4857
- Enhancement: Add woocommerce/tracks package #5107
- Enhancement: Add filter to allow modification of report columns #4984
- Enhancement: Add WooCommerce Mobile Banner #5037
- Enhancement: Add Product Attribute advanced filter #5038
- Enhancement: Add support for advanced filters with multiple instances #5050
- Enhancement: Automated taxes smart default #5076
- Enhancement: Add product attribute filter to Orders report #5068
- Tweak: Remove payment task actions #4917
- Tweak: Don't import from React, use @wordpress/element #4978
- Tweak: Use filtered headers array in onColumnsChange callback #4964
- Tweak: Orders panel get selectors form wcapi #4997
- Tweak: Group tasks by completion in setup checklist #5001
- Tweak: Replace useFilters with WP withFilters #4962
- Tweak: Refactor header component to function #5023
- Tweak: Refactor task list status to onboarding data store #4998
- Tweak: Add monthly pricing toggle in OBW #5015
- Tweak: OBW style updates #5059
- Tweak: Remove chevron icons from Fish Setup task list #5114
- Tweak: Add option to not charge sales tax in setup checklist #5111
- Tweak: Enable homescreen for all sites #5108
- Tweak: Enable remote inbox in all envs #5160
- Tweak: Add optout for remote inbox #5162
- Fix: Table component onQueryChange default prop #4959
- Fix: Dependency declarations in woocommerce/components #4972
- Fix: Text domains in stock report #4980
- Fix: Typo in reports store action creators #4992
- Fix: Note data actions and consolidate query constants #4990
- Fix: Advanced filters screen reader text #5032
- Fix: Show full variation name in products report #5056
- Fix: Card to connect to woocommerce.com #5129
- Fix: Search all variation attribute values #5141
- Fix: Force float before addition in taxes #5149

== 1.5.0 08/07/2020 == 

- Dev: New notification
- Dev: Enable tax calculation before redirecting to standard tax rates page. #4878
- Dev: Added event recording to Orders, Stock, and Reviews panels. #4861
- Dev: Added personalization to purchase extension task. #4849
- Dev: Display modal with more info about the new homescreen. #4890
- Dev: Task list  add a shortcut back to store setup. #4853
- Dev: Update the colors of the illustrations in the welcome modal. #4945
- Fix: Use clipRule and fillRule props. #4889, part of #4864
- Enhancement: Add eWAY to Payment Setup for AU/NZ Stores. #4947

== 1.4.0 07/22/2020 == 

- Fix: Update returning customer total to include customers whose first order was within the report date range #4430
- Fix: Fix an error in the Analytics/Orders table when there is an order deleted directly from the database #4630
- Fix: Reselecting advanced filters in the customer list #4650
- Fix: Reporting of deleted coupons #4671
- Fix: Preventing refresh after answering a survey note #4711
- Fix: Regular filters not working #4704
- Fix: React warning in test that the key prop wasn't assigned in List #4808
- Fix: Center continue buttons in the onboarding profile wizard #4082
- Fix: Homepage template used in setup checklist customization task #4807
- Fix: Errant Jetpack activation prompt in Stats Overview home screen widget #4817
- Fix: Unable to activate theme with uppercase name #4393 🎉 @ayubadiputra
- Fix: Set active theme when OBW is shown via the task list #4834
- Enhancement: Add option to dismiss tasks in Setup Checklist #4733
- Enhancement: Show contextual help menu when working on store setup tasks. #4779
- Enhancement: Add automatic PayPal account creation flow. #4804
- Enhancement: Move the WooCommerce > Coupons dashboard menu item to Marketing > Coupons. #4786
- Tweak: Add education and travel to the onboarding industry types #4694
- Tweak: Refactor Jetpack connection flows #4655
- Tweak: Refactor tax task to use promise chain #4683
- Tweak: Add bundle install UI to Business Details step #4695
- Tweak: Include Product Bundles and Product Addons as OBW product options #4705
- Tweak: Toggle the “Physical products” checkbox on by default #4702
- Tweak: Variation Names
- Tweak: Limit inbox status to unactioned notes #4765
- Tweak: Only show usage tracking modal once in OBW. #4766
- Tweak: Add WooCommerce Payments to Setup Checklist. #4793
- Tweak: Update connection flow for Bundle UI #4717
- Tweak: Style improvements for Marketing hub. #4794
- Tweak: Added skip profiler functionality #4721
- Tweak: Reordered home screen tasks #4754
- Tweak: Create single source of truth for task list array #4825
- Tweak: Rework the store details onboarding screen #4771
- Tweak: Design of Product Types step in Onboarding #4707
- Tweak: Add copy that WCS TOS will be accepted upon install #4799
- Dev: Customize webpack jsonpFunction to avoid potential collision with other Webpack bundles #4644 🎉 @aaemnnosttv
- Dev: Update @wordpress/basestyles and replace deprecated variables #4759

== 1.3.2 07/29/2020 == 

- Fix: bug preventing saving user preferences on WP 5.3. #4869

== 1.3.1 07/20/2020 == 

- Fix: PHP Fatal errors when columns are missing from the Notes table. #4831

== 1.3.0 07/08/2020 == 

- Enhancement: Add Jetpack stats to performance indicatorts / homepage #4291
- Enhancement: New "Store Management" quick links card on WooCommerce home screen. #4350
- Enhancement: Inbox notifications layout updates #4218
- Enhancement: New Home Screen #4303
- Enhancement: Use WordPress Core colors for styling accents. #4558
- Dev: Add jestdom eslint plugin. #4327
- Dev: Migrate onboarding data store to wp.data #4433
- Dev: Remove use of `IconButton` in favor of `Button` #4415
- Dev: Fix error handling for plugins on server error #4462
- Dev: update @wordpress/components and @wordpress/basestyles #4427
- Dev: Migrate user store to wp.data #4505
- Dev: Add options data store to wp.data #4144
- Dev: Runtime feature config override #4523
- Dev: Check that the possibly_add_note function exists before calling it #4680
- Dev: Remove unnecessary rest API init action. #4691
- Dev: Don't include sourcemaps or unminified JS for "core" builds. #4642
- Fix: misaligned 'required' text on selects #4307
- Fix: exception when opening dashboard after selecting extensions to purchase #4357
- Fix: REST API collections schema #4377
- Fix: Monetary Advanced Filters in Customers Report with correct currency object prop. #4356
- Fix: In App purchase "back link" #4301
- Fix: Search results selectable by clicking on item text or icon #4474
- Fix: Filters' static query parameters #4458
- Fix: The WCPay method not appearing as recommended sometimes #4345
- Fix: Removed URLSearchParams method #4501
- Fix: REST API collections schema. #4484
- Fix: null issue in wpNavMenuClassChange #4513 🎉 @gradosevic
- Fix: RTL stylesheet loading for split code chunks. #4542
- Fix: Don't show store location step in tax and shipping tasks if the address has already been provided #4507
- Fix: Check for enabled methods before payment task completion #4530
- Fix: Solved a problem with the method onChoose in the last onboarding step. #4583
- Fix: Only mark purchase task as complete when products exist #4574
- Fix: Remove unnecessary rest_api_init action that caused incompatibility issues with other plugins. #4691
- Fix: Fix WCPay sometimes not appearing on the task list #4647
- Tweak: make revenue report total sales column optional #4397
- Tweak: Adjustments to WooCommerce Payments setup task #4373
- Tweak: Handling of plugin installs in OBW #4411
- Tweak: Update design of Setup Checklist #4434
- Tweak: Add scrollable styling to left side of Table, and keep updated #4179
- Tweak: reduce asset filename length. #4535
- Tweak: Use single dash for country/state dropdown options #4553
- Tweak: Use label tag for toggleable shipping zones #4554
- Tweak: Tweak  Make it easier to add submenu items to the Marketing menu #4561
- Tweak: Remove duplicate/redundant inbox note after first order received. #4659
- Tweak: Fix the embed page CSS so the top content sits better #4622

== 1.2.4 06/11/2020 == 

- Tweak: reduce asset filename length and remove tilde characters. #4535
- Fix: RTL stylesheet loading for split code chunks. #4542

== 1.2.3 05/22/2020 == 

- Tweak: Updates to WooCommerce Payments in Setup Checklist #4293

== 1.2.2 05/18/2020 == 

- Fix: Respect tracking optin before new page load. #4368
- Enhancement: Add Jetpack connection to plugin benefits step #4374

== 1.2.0 05/18/2020 == 

- Enhancement: Add onboarding payments note #4157
- Enhancement: Marketing Inbox Note #4030
- Performance: Use Route based code splitting to reduce bundle size #4094
- Performance: trim down inbox note API request. #3977
- Fix: Proper display of elements in wcadmin pages when in a RTL environment. #4051
- Fix: Update UX when knowledge base articles fail to retrieve #4133
- Fix: Updated messaging after last step in OBW. #4148
- Fix: Reset profiler when visiting old OBW URL #4166.
- Fix: Dashboard flash before OBW chunk loads #4259
- Tweak: Enable the default homepage template to be filtered #4072 🎉 @stevegrunwell
- Tweak: Create admin note if Jetpack or WooCommerce Services plugin doesn't get installed due to an error during OBW #3888
- Tweak: Update Email Marketing note. #4167
- Tweak: Adjust "demo products" verbiage to "Sample Products" #4184 🎉 @jobthomas
- Tweak: Don't reschedule imports on failed imports #4263
- Tweak: Remove obsolete inbox messages #4182
- Dev: Make query selector for admin alerts more specific #4289 🎉 @pauloiankoski
- Dev: Guard against null themes in OBW #4244
- Dev: Update wcadmin db version after db callback #4323
- Dev: Only migrate options on version change #4324
- Dev: Use PAGE_ROOT constant to reduce redundant strings #4238 🎉 @codemascot
- Dev: Decouple Plugins DataStore from onboarding feature #4048
- Dev: Move API out of Onboarding #4093
- Dev: Add Profiler Step View Tracks #4141
- Dev: Add React Testing Library #4221
- Dev: Add List and Link components to Storybook #4219
- Dev: Cast Shipping Total to float #4042 🎉 @barryhughes
- Dev: Dynamic Currency with Context API #4027
- Dev: Remove Duplicate array entry #4049 🎉 @tivnet

== 1.1.3 05/18/2020 == 

- Tweak: Onboarding
- Fix: Respect tracking optin before new page load. #4368

== 1.1.2 05/12/2020 ==

== 1.1.1 05/05/2020 == 

- Fix: Storefront should show at top of theme options in onboarding wizard. #4187
- Tweak: Remove Stripe autoconnect from payment task. #4164
- Tweak: Hide suggested extensions in Marketing Tab if opted out of "Marketplace Suggestions"

== 1.1.0 04/23/2020 == 

- Tweak: Added link to "go shopping" button #3712
- Tweak: Add PayFast payment gateway option for sites in South Africa #3738
- Tweak: Onboarding
- Tweak: Onboarding  business step
- Tweak: Onboarding
- Tweak: Onboarding
- Tweak: Remove 'add first product' note. #3876
- Tweak: Onboarding
- Tweak: Onboarding  payments task
- Tweak: Style and icon updates for Activity Panel #3965
- Tweak: Remove iconbutton classes from Tag component #3993
- Tweak: Reduce the number of default widgets on the dashboard. #4035
- Tweak: Onboarding
- Tweak: Overwrite button overflow css from Wordpress 5.4 defaults #4108
- Tweak: business details step
- Fix: Make analytics tables use the site's date format setting #3715
- Fix: Alignment of select text #3723 🎉 @edmundcwm
- Fix: inconsistent wording downloads report #3844 🎉 @jobthomas
- Fix: Verify Stripe API keys in payment set up step. #3910
- Fix: Connect to WooCommerce.com note disappears before connecting. #3909
- Fix: Add WooCommerce support if store is using default theme #3908
- Fix: Make WooCommerce breadcrumbs use WooCommerce Branding if it is installed #3798
- Fix: handle cases where coupon dates are in an unexpected format. #3984
- Fix: Onboarding
- Fix: Added hook to delete woocommerce_onboarding_homepage_post_id #4015
- Fix: Show admin notices on legacy admin screens. #4019
- Fix: wcadmin pages work in Internet Explorer 11. #4037
- Fix: OBW
- Enhancement: Improve focus on task list #3796
- Enhancement: Allow individual payment method setup in the onboarding task list #3782
- Enhancement: "Personalize your store" reminder
- Enhancement: WooCommerce Shipping order page banner prompt #3955
- Enhancement: Marketing Tab
- Enhancement: Add WooCommerce Payments Inbox note #4013
- Onboarding: Add offline payment methods #3832
- Enahncement: Create flat rate or free shipping methods from the onboarding task list #3927
- Enahncement: Add WC Pay to startup checklist
- Performance: only query necessary data in Orders Panel. #3969
- Performance: speed up indicators endpoint response. #3997
- Performance: only query requested stat totals in reports. #4009
- Dev: Handle orphaned order statuses in analytics settings. #4090
- Dev: Fix usage of WP_Error in nonglobal namespaces. #4115

== 1.0.3 03/22/2020 == 

- Fix: Stop calling protected has_satisfied_dependencies() on outdated plugin. #3938
- Fix: Rename image assets in OBW business details step. #3931
- Fix: Stop using WP Post store for Action Scheduler. #3936

== 1.0.2 03/18/2020 == 

- Enhancement: Onboarding
- Dev: Update prestart script so readme.txt stable tag is updated #3911
- Tweak: create database tables on an earlier hook to avoid conflicts with core WooCommerce. #3896

== 1.0.1 03/12/2020 == 

- Fix: Add Report Extension Example
- Fix: Product report sorting by SKU when some products don't have SKUs
- Fix: type warning on install timestamp in PHP 7.4
- Fix: PHP error when WooCommerce core is Network Active on Multisites.
- Fix: missing database table errors on WooCommerce upgrade.
- Fix: undefined const WC_ADMIN_VERSION_NUMBER when WP < 5.3
- Dev: Add Changelog script
- Dev: Fix failing tests after WC core merge.
- Dev: Bump WooCommerce tested up to tag

== 1.0.0 03/05/2020 == 

- Fix: Customers Report
- Fix: OBW Connect
- Fix: OBW
- Fix: Update Country Labeling to Match Core #3790
- Fix: Onboarding
- Fix: Padding on Jetpack notices when activity panel is present. $3418
- Fix: Taxes Report search. #3815
- Fix: Taxes Report search bug and adds initial documentation. #3816
- Fix: Activity Panels
- Fix: Tracking on migrated options #3828
- Dev: Onboarding

== 0.26.1 02/26/2020 == 

- Fix: Remove free text Search option when no query exists #3755
- Fix: StoreAlert
- Fix: WP Coding Standards PR Regressions #3760
- Fix: OBW
- Fix: coding standards violations #3763
- Fix: Product titles include encoded entities #3765
- Fix: Add deactivation hook to Package.php #3770
- Fix: Add active version functions #3772

== 0.26.0 02/21/2020 == 

- Fix: Warning in product data store when tax amount is nonnumeric. #3656
- Fix: Enable onboarding in production. #3680
- Fix: Added new control in /packages/components/src/selectcontrol/list.js #3700
- Fix: Alignment of select text #3723 👏 @edmundcwm
- Fix: Create Onboarding homepage without redirect #3727
- Enhancement: Move Customers report to WooCommerce Menu #3632
- Performance: Remove slow physical products query from non setup checklist pages #3722
- Performance: Make Stock Panel indicator more performant. #3729
- Performance: Remove sideloaded images to save on build size #3731
- Tweak: use cron instead of Action Scheduler for unsnoozing notes. #3662
- Dev: Add tracks events when profiler steps are completed #3726
- Dev: Ensure continue setup loads the onboarding profiler #3646
- Dev: Travis tests on Github for release branch #3751
- Add: Deactivation note for feature plugin #3687

== 0.25.1 02/07/2020 == 

- Dev: Enable onboarding #3651 (Onboarding)
- Fix: Fix styling of search control in report table header and filters. #3603 (Analytics, Components, Packages)

== 0.25.0 01/29/2020 == 

- Fix: Onboarding
- Fix: Fix styling of search control in report table header and filters. #3603 (Analytics, Components, Packages)
- Fix: report table search component. #3618 (Analytics, Components, Packages)
- Fix: Update broken note action hooks #3535 (Activity Panel, Inbox)
- Fix: SQL error in category table sort. #3521 (Analytics)
- Fix: handle uninstallation when in feature plugin mode. #3546 (On Merge to WC Core)
- Fix: Exception on dashboard once Onboarding tasks are complete #3513
- Fix: Make packagebased load inert when plugin is active. #3555 (On Merge to WC Core)
- Fix: Properly style theme selection button in Site Profiler #3489
- Fix: component styles for WordPress 5.3. #3357 (Build, Components, Design, Packages)
- Fix: `CompareFilter` functionality regression. #3421 (Analytics, Components, Packages)
- Fix: don't run database migrations on new installs. #3473
- Fix: WCAdmin header on settings and status pages. #3389 (Activity Panel)
- Fix: show pending product reviews when comment moderation is disabled. #3459 (Activity Panel)
- Fix: error when trying to download report data. #3429 (Analytics)
- Fix: invalidate Reports cache when changing Analytics settings. #3465 (Analytics, REST API, Settings)
- Fix: Time zone offset calculation on customer last active date. #3388 (Analytics)
- Fix: remove the header when user doesn't have required permissions #3386 (Activity Panel)
- Fix: make report filter date props optional #3359 (Components, Extensibility, Packages)
- Dev: fix strict standards in Scheduler classes #3583
- Dev: Handle custom currency formats #3349 (Components, Packages)
- Dev: Onboarding
- Dev: SelectControl
- Dev: Onboarding
- Dev: Onboarding
- Dev: Onboarding
- Dev: Update translation scripts and instructions for creating `.json` files. #3433 (Build)
- Dev: Onboarding
- Dev: Onboarding
- Dev: AssetDataRegistry
- Dev: DataStores
- Dev: Update to latest PHPUnit 7 #3571 (Build)
- Dev: Default the Calypso environment to production #3347 (Onboarding)
- Dev: Add autocomplete props to address fields in onboarding and adjust country/state matching #3338 (Onboarding)
- Dev: Add purchase modal at the end of the profile wizard #3444 (Onboarding)
- Dev: Standardize hook and filter prefixes. #3339 (On Merge to WC Core)
- Dev: Onboarding   Add button to continue setup after importing products #3402 (Build, Onboarding)
- Task: Avoid redundant/unnecessary cleanup. #3580 (On Merge to WC Core)
- Performance: Remove unnecessary use of lodash get #3598 (Onboarding)
- Tweak: don't modify page titles for existing WooCommerce pages. #3585 (On Merge to WC Core)
- Tweak: Onboarding  Add Skip Step link on Themes Step. #3490 (Onboarding)
- Tweak: Included RegExp for JS files in examples.config.js #3510 (Build, Extensibility) 👏 @yashwebkul
- Tweak: Change Refunds to Returns on the dashboard. #3514
- Tweak: Scroll to notices when displayed while the notice area is scrolled out of view. #3390 (Activity Panel)
- Tweak: Add/disable plugin filter #3361
- Enhancement: add customer privacy erasure support. #3511 (Analytics)
- Enhancement: allow filtering of hidden WP notices. #3391 (Activity Panel, Extensibility)
- Enhancement: allow report cache layer to be turned off. #3434
- Bug: Add SelectControl debouncing and keyboard fixes #3507 (Components, Packages)
- Bug: Onboarding
- Bug: Onboarding
- Bug: Fix user data fields filter name. #3428 (Dashboard)
- Bug: Onboarding
- Bug: Onboarding
- Bug: Onboarding

== 0.24.0 01/06/2020 == 

- Bug: Add SelectControl debouncing and keyboard fixes #3507 (Components, Packages)
- Bug: Onboarding
- Bug: CI
- Bug: Onboarding
- Bug: Onboarding
- Bug: Onboarding
- Bug: Onboarding
- Fix: Properly style theme selection button in Site Profiler #3489
- Fix: invalidate Reports cache when changing Analytics settings. #3465 (Analytics, REST API, Settings)
- Fix: show pending product reviews when comment moderation is disabled. #3459 (Activity Panel)
- Fix: component styles for WordPress 5.3. #3357 (Build, Components, Design, Packages)
- Fix: WCAdmin header on settings and status pages. #3389 (Activity Panel)
- Fix: make report filter date props optional #3359 (Components, Extensibility, Packages)
- Dev: Update translation scripts and instructions for creating `.json` files. #3433 (Build)
- Dev: Add initial documentation for the historical data import. #3506 (Documentation)
- Dev: Onboarding
- Dev: Onboarding
- Dev: Add singular/plural distinction to onboarding plugins installation #3517 (Onboarding)
- Dev: Onboarding
- Dev: Onboarding
- Dev: DataStores
- Dev: AssetDataRegistry
- Dev: Add autocomplete props to address fields in onboarding and adjust country/state matching #3338 (Onboarding)
- Dev: Update instructions for documenting new components. #3443 (Components, Documentation)
- Dev: Add purchase modal at the end of the profile wizard #3444 (Onboarding)
- Dev: Fix the "is this card useful" prompt display #3427 (Onboarding)
- Dev: Default the Calypso environment to production #3347 (Onboarding)
- Dev: Standardize hook and filter prefixes. #3339 (On Merge to WC Core)
- Dev: Fix revenue question translation with currency conversion #3358 (Onboarding, Packages)
- Dev: Onboarding   Add button to continue setup after importing products #3402 (Build, Onboarding)
- Tweak: Onboarding  Add Skip Step link on Themes Step. #3490 (Onboarding)
- Tweak: Included RegExp for JS files in examples.config.js #3510 (Build, Extensibility) 👏 @yashwebkul
- Tweak: Change Refunds to Returns on the dashboard. #3514
- Tweak: Scroll to notices when displayed while the notice area is scrolled out of view. #3390 (Activity Panel)
- Tweak: Add/disable plugin filter #3361
- Enhancement: allow report cache layer to be turned off. #3434

== 0.23.3 12/26/2019 == 

- Fix: don't run database migrations on new installs. #3473

== 0.23.2 12/19/2019 == 

- Enhancement: allow filtering of hidden WP notices. #3391 (Activity Panel, Extensibility)
- Fix: error when trying to download report data. #3429 (Analytics)
- Fix: `CompareFilter` functionality regression. #3421 (Analytics, Components, Packages)
- Fix: Time zone offset calculation on customer last active date. #3388 (Analytics)
- Fix: remove the header when user doesn't have required permissions #3386 (Activity Panel)
- Bug: Fix user data fields filter name. #3428 (Dashboard)

== 0.23.1 12/08/2019 == 

- Fix: undefined function error.

== 0.23.0 12/06/2019 == 

- Dev: Add currency extension #3328 (Packages)
- Dev: Packages
- Dev: Remove Newspack dependency. #3302
- Dev: DB Updates
- Dev: use a filter to set default locale #3273
- Dev: Allow core inclusion via Package.php #3196 (Build)
- Dev: Fix filter gap on analytics select controls #3259 (Components, Packages)
- Dev: rename data store get_* to add_* functions where function does not return values #3275
- Dev: PHPCS fixes for onboarding files #3269 (Documentation)
- Dev: Add a tracks queue to delay event recording & log embed page views #3250
- Dev: Make WooCommerce brand localizable #3247
- Dev: fix typos in JS docs #3248
- Dev: capitalize WooCommerce Services #3249
- Fix: errant moment locale data loading. #3362 (Components, Packages)
- Fix: beginning of next day calculation on daylight saving time on the days the time changes. #3333 (Analytics)
- Fix: Retrieve week last year data by calendar date instead of week alignment. #3271 (Analytics, Packages)
- Fix: Fix checkout of main branch in CI environment. #3296 (Build)
- Fix: decouple Date package from global wcSettings object. #3278 (Components, Packages)
- Fix: Make the order count between customer and table total consistent. #3290 (Analytics)
- Fix: decouple Currency and Number packages from global wcSettings object. #3277 (Components, Packages)
- Fix: Add single customer REST API end point. #3174 (REST API)
- Bug: Settings
- Bug: Check if extended_info is set for order report items #3315 (REST API)
- Bug: Filter invalid statuses from saved statuses #3268
- Bug: Correcting and clarifying analytics terms and calculations #3104 (Analytics, Components, Packages)
- Bug: Select control
- Tweak: Add a filter that allows disabling WooCommerce Admin. #3350 (On Merge to WC Core)
- Tweak: remove global settings dependency from Navigation package. #3294 (Components, Packages)
- Tweak: Search component

== 0.22.0 11/13/2019 == 

- Fix: Incorrect calculation of tax summary on Taxes screen. #3158 (Analytics)
- Fix: Correct product and coupon count on edited orders. #3103 (Analytics)
- Bug: Update filter picker to use key instead of id #3214 (Analytics, Components, Packages)
- Bug: Fix ellipsis menu style #3141 (Analytics, Components, Packages)
- Enhancement: prompt stores to add their first product(s). #3119 (Inbox)
- Enhancement: Add query filters to data stores.
- Dev: Move Analytics REST endpoints to `wcanalytics` namespace. #3204 (Components, Packages)
- Dev: Refactor data store classes. #2961 (REST API)
- Dev: WooCommerce Admin has been marked as compatible with WooCommerce 3.8.0. #3201
- Dev: update tested to version for WC and WP #3162
- Tweak: add usage tracking inbox notice. #3112 (Activity Panel, Inbox)
- Tweak: Field misalignment in product edit screen. #3145
- Task: Fix PHP linter errors. #3188

== 0.21.0 10/30/2019 == 

- Fix: report export format when generated serverside. #2987 (Analytics, Packages)
- Fix: Address discrepancies in Revenue totals between Analytics screens. #3095 (Analytics)
- Fix: Error in category comparison chart. #3027 (Analytics, REST API)
- Fix: create table error during import. #3022 (Analytics, Build)
- Tweak: automatically update DB version during plugin updates. #3113
- Tweak: add visual feedback for Inbox Note Actions #3039 (Activity Panel, Build, Inbox)
- Tweak: track inbox note views. #3096 (Activity Panel, Build, Inbox)
- Tweak: Moved WCAdmin specific actions from TableCard to ReportTable. #2900 (Build, Components, Packages)
- Dev: Fix asset image URL and business extension images #3062
- Dev: Fix broken plugin builds by adding missing feature flag check #3053 (Build)
- Dev: Add the ability to create custom plugin builds #3044 (Build)
- Enhancement: add management link to Reviews panel. #3011 (Activity Panel)

== 0.20.1 09/24/2019 == 

- Fix: use category lookup id instead of term taxonomy id (#3027)
- Fix: Update order stats table status index length. (#3022)

== 0.20.0 09/24/2019 == 

- Dev: Fix issue #2992 (order number in orders panel) #2994
- Dev: Replace lodash isNaN() with native Number.isNaN() #2998 (Build, Packages)
- Dev: Ignore filename rules for PSR4 classes. #2967 (Build)
- Dev: Category Lookup Table  Fix Category Segments #2253
- Dev: Replace lodash isFinite() with native Number.isFinite() #2977 (Build, Components, Packages)
- Dev: Add filter to notes datastore where clauses. #2819
- Dev: Copy component READMEs to docs folder before GH page deploy. #2952 (Build)
- Dev: Add GitHub pages deploy step to Travis config. #2940 (Build, Documentation)
- Dev: Fix plugin installation when working from a push instead of a pull request. #2950 (Build)
- Dev: Fix pull request branch detection on CI (try #2) #2944 (Build)
- Dev: Only build pushes to main branch. #2941 (Build)
- Dev: Fix pull request branch detection on CI #2942 (Build)
- Dev: refresh component documentation #2872 (Build, Components, Documentation, Packages)
- Dev: Simplified intervals_missing method of DataStore class #2920 👏 @codemascot
- Dev: Simplified intervals_missing method of TimeInterval class #2920 👏 @codemascot
- Enhancement: add option to email a download link when exporting reports. #2899 (Analytics, REST API)
- Fix: Catch notices that are hooked earlier than priority 10. #2981
- Performance: add caching layer to analytics. #2970 (Analytics)
- Performance: reduce JS bundle size. #2933 (Build)
- Bug: Fix conflict with Blocks 2.4 #2846

== 0.19.0 09/24/2019 == 

- Dev: Use upstream webpackrtlplugin #2870 (Build)
- Dev: Fix variable name typo #2922
- Dev: Update no data message in table #2854 (Components, Packages)
- Fix: persist date_last_active for customer reports #2881 (Analytics) 👏 @cojennin
- Tweak: consistent naming for report columns. #2845 (Design)
- Tweak: schedule customer lookup table updates instead of running during checkout. #2832
- Tweak: have Import note action scroll to import section of settings screen. #2799 (Activity Panel, Components, Inbox, Packages)
- Tweak: change report charts filter name. #2843 (Components, Documentation, Packages)
- Bug: Fix chart type buttons misalignment #2871 (Components, Packages)

== 0.18.0 08/28/2019 == 

- Fix: Product in dropdown clickable in FF/Safari #2839 (Components, Packages) 👏 @cojennin
- Fix: gross order total calculation. #2817 (Analytics)
- Fix: Date calculation on notes being double adjusted to UTC. #2818 (Inbox)
- Fix: Bug navigating from DevDoc component pages to WP dashboard pages. #2827 (Documentation)
- Fix: Import all used Gutenberg component styles. #2679
- Fix: report column visibility preference bug. #2806 (Analytics, Components, Packages, Settings)
- Fix: remove date picker from Customers Report. #2805 (Analytics)
- Bug: Orders report now shows coupons in Coupon(s) column #2812 (Analytics) 👏 @cojennin
- Enhancement: add Facebook extension inbox note. #2798 (Activity Panel, Inbox)
- Enhancement: handle simple to variable product changes in reports. #2814 (Analytics)
- Dev: Release Scripts
- Dev: Components
- Dev: Search List Control
- Dev: Update List actionable items to be wrapped with Link #2779 (Components, Packages)
- Tweak: add empty dataset treatment for report tables. #2801 (Analytics, Components, Packages)

== 0.17.0 08/15/2019 == 

- Fix: chart data fetch/render over long time periods #2785 (Analytics)
- Fix: chart display when comparing categories. #2710 (Analytics)
- Fix: Allow WooCommerce Admin to be deleted through the plugin screen when WooCommerce is not active. #2762
- Fix: Charts being partially rendered on long time periods. #2776 (Analytics)
- Fix: Customer last active date showing `Invalid date`. #2764 (Analytics)
- Fix: issue where product category update button was not always clickable #2753
- Fix: Add version parameter to `_doing_it_wrong` on `current_screen`. #2733
- Fix: Short circuit admin title filter when applied by third parties too early. #2744
- Fix: chart display when comparing categories. #2708 (Analytics)
- Task: update the class filename exclusion to /src/ for PSR4 #2794
- Task: update WC tested to version to 3.7.0 #2782
- Task: Update report endpoints to be PSR4 autoloaded  #2755 (Build)
- Task: Update feature classes to be PSR4 autoloaded. #2736 (Build)
- Tweak: Increase zIndex on popover elements. #2777
- Bug: Fix daily cron event (PSR4) #2754 (Build)
- Bug: Only apply current submenu CSS reset on nonembed pages. #2687
- Dev: Add `wc_admin_get_feature_config` filter to feature config array. #2689

== 0.16.0 07/24/2019 == 

- Tweak: Change verbiage of feedback notification. #2677
- Dev: Update unit tests to work with PHPUnit 7+. #2678
- Dev: Webpack
- Dev: Replace 'stringifyQuery' with 'addQueryArgs' #2655 (Build, Components, Packages)
- Dev: Tests setup
- Dev: show example extension list as list in readme #2619 (Documentation)
- Fix: Bug that was preventing confirmation dialog from showing after saving settings. #2660
- Fix: completed orders lingering in activity panel. #2659 (Activity Panel, REST API)
- Fix: Location of unread indicators in activity panel. #2662
- Fix: Zindex issue in empty message on chart #2646 (Components, Packages)
- Fix: Disable placeholder animation when prefersreducedmotion is set #2645 (Accessibility)
- Fix: reactspring breaking IE11 #2698 (Build)
- Bug: Fix missing nav on connected admin pages. #2676
- Task: Add priority 2 Tracks events #2633 (Components, Packages)
- Task: Add priority 3 Tracks events #2638 (Components, Packages)
- Task: Add instructions for translating to contributing docs. #2618 (Documentation)

== 0.15.0 07/11/2019 == 

- Fix: Compare checkboxes in report tables #2571
- Fix: Use correct links in DevDocs. #2602 (Documentation)
- Fix: Prevent error when no actionable order statuses are set #2577
- Fix: exclude old WC autodraft orders from import #2612 (Analytics)
- Fix: Only calculate one order row when the order has multiple coupons. #2484 (Analytics)
- Fix: Cast is_snoozable as int prior to database save #2573
- Fix: Update layout of Settings Page and notify users when settings are not saved. #2544
- Fix: Change size of Header to 56px  fixes bug in product edit page toolbar being hidden.
- Fix: Stock notifs
- Fix: WordPress Notifications Activity Panel falsely saying there are notices to be seen. #2552
- Fix: Fixes issue with alerts on mobile #2537
- Fix: Track name for activity panel open event #2532
- Fix: margins on nonupdate notices. #2487  👏 @benignant
- Dev: Introduce a new Products by Tag(s) block #554
- Dev: Tracks
- Dev: Fix
- Dev: Update colorstudio to 1.0.5 #2575 (Build, Packages)
- Dev: Add countLabel prop to SearchListItem #2569 (Components, Packages)
- Dev: Route handling
- Dev: Customizable dashboard
- Dev: Dashboard
- Dev: Advanced Filters
- Performance: check for scheduled snooze action once per hour instead of every admin request. #2593
- Task: Add tracks event to Store Alert and Inbox Notification action clicks #2559
- Task: Send tracks event for snoozing store alerts. #2560
- Task: Tracks
- Enhancement: Add Report CSV Export Endpoint #2526 (Analytics, REST API)
- Enhancement: Remove updated stock products from Activity Panel #2442 (Activity Panel)
- Enhancement: Add Reports CSV Exporter Class #2502 (Analytics)
- Enhancement: add state/region to Customers Report. #2463 (Analytics) 👏 @KZeni
- Tweak: remove placeholder link. #2561
- Tweak: Open external note action links in a new tab #2462 (Activity Panel, Inbox)
- Tweak: fix some report endpoint default params. #2496 (REST API)
- Bug: Fix batch queue range bug. #2521

== 0.14.0 06/24/2019 == 

- Dev: Action Scheduler
- Dev: Fix Activity Panel being overlapped by editor toolbar #2446 (Activity Panel)
- Dev: update tested to version in plugin repo readme.txt #2443
- Dev: Allow keyboard interaction in Stock Activity Panel form #2447 (Accessibility, Activity Panel)
- Dev: Activity Panels
- Dev: Add wpapifetch script to dependencies #2460
- Dev: Remove the "wpClosedMenu" page setting #2441 (Build)
- Dev: Fix revenue and orders charts using the wrong endpoint in the Dashboard #2417 (Dashboard)
- Dev: Fix conflicts with WordPress.com toolbar #2431 (Activity Panel)
- Dev: Table queries
- Dev: Update Dashboard Charts naming and order #2429 (Dashboard)
- Bug: add match==any support for advanced orders table filter #2228
- Bug: Fix search bar in Orders page not being tapable on mobile #2384
- Fix: PHP errors on missing refund orders during import. #2464 (Analytics)
- Fix: fix type in readme changelog for 0.13.0 #2457 (Documentation)
- Fix: handle internal `rest_do_request()` error conditions. #2423 (Dashboard)
- Enhancement: Report Tables
- Tweak: Add test to catch missing version updates. #2424 (Build)
- Tweak: Reduce style dependencies on WP core, avoid errantly including WP core's Google Fonts. #2432 (Components)
- Task: Remove test menu from Orders panel #2438 (Activity Panel)

== 0.13.2 06/13/2019 == 

- Fix: Bump plugin version for database update.

== 0.13.1 06/12/2019 == 

- Fix: Exit deactivate early if WooCommerce not active. #2410

== 0.13.0 06/12/2019 == 

- Fix: Notes
- Fix: Double space at 191 row #2369  👏 @shoheitanaka
- Fix: Misspelling at update config.js #2368  👏 @shoheitanaka
- Fix: Move StoreAlerts below screen meta links on embed pages. #2291
- Fix: Extensions
- Fix: Dashboard Extension Example
- Fix: wcapi
- Fix: Remove errant import update operation from `wpapi` spec. #2271
- Fix: Refactor main file into singleton class structure #2226
- Enhancement: Settings
- Enhancement: Trigger an action server side when admin note actions are clicked #2325
- Enhancement: Add progress bars to Historical Data Import screen #2312
- Enhancement: Only show unactioned notes in the Inbox panel. #2327 (Inbox)
- Enhancement: Add support for “primary” admin notice actions. #2269
- Enhancement: Allow links in admin notice content. #2272
- Dev: Add tracks to import jobs #2193
- Dev: Notes
- Dev: Fix Activity Panel layout on mobile #2405 (Activity Panel)
- Dev: Add uninstall file to release ZIP #2402 (Build)
- Dev: Add date_created_gmt property to orders endpoint #2086 (Activity Panel)
- Dev: Transpile newspackcomponents package #2348 (Build)
- Dev: Low stock handling inconsistencies with WooCommerce 3.6+ #2191
- Dev: Remove d3array dependency #2286 (Build)
- Dev: Dashboard Extentions
- Dev: Fix `boxshadow8dp` error. #2290 (Components, Packages)
- Dev: Persisted Queries
- Dev: Remove customizable dashboard heading #2321 (Dashboard)
- Dev: Dashboard
- Dev: Hook up import/totals endpoint to Historical Data Import screen #2208
- Bug: Fix wrong average numbers in chart legends #2352 (Analytics, Components, Packages)
- Bug: Fix some data not to being imported when 'skip_existing' option is enabled #2385
- Bug: Don't create Notices tab in Activity Panel if notices HTML element was removed by a plugin #2378
- Bug: Prevent inactive tabs from making requests #2377
- Bug: Add missing space in Orders Activity Panel card #2306 (Activity Panel)
- Bug: Handle `WC_Admin_Notices`. #2245 (Activity Panel, On Merge to WC Core)
- Bug: Exclude autodraft and trashed orders from imports. #2265
- Tweak: Allow paragraph tags in admin notes. #2344 (Inbox)
- Tweak: Allow note action URLs to be empty. #2324 (Inbox)
- Task: Remove second beta warning from readme #2362
- Task: Remove beta warning from readme. #2340

== 0.12.0 05/14/2019 == 

- Fix: dashboard issues #2194
- Fix: Dashboard
- Fix: Refactor page handler API #2209
- Fix: EllipsisMenu misalignment in wide containers #2207
- Fix: Show Y grid ticks/lines in charts where all values are lower than 1 #2147
- Fix: Dashboard
- Fix: add defaultOrder field to tablecard header #2139 👏 @rrennick
- Fix: Travis
- Fix: Vertically center Dashboard 'Add more' button #2171
- Fix: Don't make an API call when there are no performance indicators #2157
- Fix: Fix customer type filter param in orders report #2169
- Fix: Persist chart interval in Dashboard #2156
- Fix: Prevent chart type buttons breaking in two lines #2135
- Dev: Handle “all guests” when getting customers from orders. #2038
- Dev: Order milestones
- Dev: Replace Rebuild reports settings with Import Historical Data #2198
- Dev: add a defaultValue parameter to the ReportFilters component #2150 👏 @rrennick
- Dev: Record refunds separate from order entries #2083
- Dev: Add refund filtering to order reports #2179
- Dev: Hook up API Historical Data screen to API endpoints #2177
- Dev: Save section/block preferences in user data #2148
- Dev: Add Historical Data Import Screen #2073
- Dev: EllipsisMenu
- Dev: Dashboard
- Dev: Allow renaming Dashboard sections #2131
- Dev: Add import endpoint and controller #2034
- Dev: Support Sequential Order Numbers in Downloads Report order number filter #1907
- Dev: Scroll to top of the table when navigating table pages #2051
- Dev: Add empty state for the Reviews panels #2124

== 0.11.0 04/17/2019 == 

- Dev: Extend report submenu items #2033
- Dev: Extension Examples #2018
- Dev: Update admin notes readme #2043
- Dev: Add profile wizard base page #1933
- Dev: Method to publish core ready features #1863
- Dev: Add PHP autofix to precommit hook #2022
- Dev: PHP Lint fixes #2023
- Dev: Update Link in readme to Proper Location #2026
- Dev: Split D3Chart utils/axis file #2000
- Dev: Remove coupon_total from order stats table #1975
- Fix: Transpile acornjsx package #2064
- Fix: Inbox
- Fix: Check if welcome message notice exists before creating it #2063
- Fix: Respect manual offsets in default before/after params #2035
- Fix: Fix wrong dates in Reviews and Orders panels of the Activity Panel #2013
- Fix: Make customer name extendable #1976
- Fix: center mobile icon vertically #1990 👏 @rrennick
- Fix: search filter focus #1994
- Fix: Fix date filter layout on Android #1996
- Fix: Order Status filter
- Fix: add filter length condition to enable filter check #1983 👏 @rrennick
- Fix: lookup product title in order meta if product has been deleted #1977 👏 @rrennick
- Fix: Cast order totals as floats when calculating net total #1945
- Enhancement: Add empty state in Stock panel #2049
- Enhancement: Add empty state in Orders panel #2037
- Enhancement: Hook up Stock panel #1998
- Enhancement: Add order milestone notifications. #1872
- Enhancement: Add leaderboard controller and endpoint #1995
- Enhancement: Hook up leaderboards endpoint to dashboard #2004
- Enhancement: Activity Panel
- Enhancement: Scroll to top only when URL changes #1989
- Enhancement: Allow negative values in charts #1979

== 0.10.0 04/02/2019 == 

- Dev: Properly namespaced methods in wcadmin.php. props @ronakganatra9 #1804
- Dev: Changed textdomain to `woocommerceadmin` #1795
- Dev: Updates to plugin header #1764
- Dev: Clear scheduled actions on plugin deactivate #1715
- Dev: Refactor getFilterQuery #1873
- Dev: Update npm dependencies #1913
- Fix: ESLint error in leaderboards #1914
- Fix: REST API Requests failing with isUnboundedRequest #1954
- Fix: Bugs in Reviews panel #1947
- Fix: Scroll to top of page when changing reports #1958
- Fix: Update variations controller filter names #1949
- Fix: Sku sorting in variations report #1952 #1801 props @ronakganatra9
- Fix: REST API customers exact match filters
- Fix: EmptyContent on narrow viewports #1703
- Fix: Empty chart and summary numbers in Categories Report #1698
- Fix: Display chart and summary numbers placeholders when loading search terms #1694
- Fix: Display order number on reports #1706
- Fix: Missing Date Picker Calendar in RTL #1810
- Fix: Circles on chart hover #1816
- Fix: Date Range dropdown for RTL locales #1803
- Fix: Sorting by tax_code in Taxes Report #1811
- Fix: Charts in RTL locales #1794
- Fix: RTL css #1781
- Fix: CSS Lint issues in storealerts #1793
- Fix: Products stats segmentation when filtering categories #1779
- Fix: Remove timezone from appendTimestamp() output #1778
- Fix: REST API Make variations and coupons endpoints return zerovalue items #1765
- Fix: REST API make categories return zerovalue items #1755
- Fix: REST API Make products and rates endpoints return zerovalue items #1722
- Fix: Taxes report, sort taxes numerically #1766
- Fix: Chart comparison mode single category #1762
- Fix: Simplify options in filters #1748
- Fix: Show compared keys in chart legends even if their values are 0 #1754
- Fix: IE11 Leaderboard issue
- Fix: Use IDs instead of labels to identify chart legend items #1730
- Fix: Update table columns visibility when loading finishes #1729
- Fix: Update chart colors #1731
- Fix: Date Picker css tabs #1717
- Fix: Infinite loop in customer population #1936
- Fix: PHP notices on orders data store #1870
- Fix: Table links to internal reports #1824
- Accessibility: Add button focus style to report chart interval selector #1740
- Enhancement: Add "Cancel All" method to ActionScheduler Store #1813
- Enhancement: Add store notice for processing historical data #1763
- Enhancement: Ensure other scheduled actions are claimed before WC Admin actions #1759
- Enhancement: Load on hold reviews in the Activity Panel
- Enhancement: Add overlay to Product Placeholder image #1880
- Enhancement: Added "Remind me later" ability to StoreAlert component #1848
- Enhancement: Set reviews Activity Panel unread indicator based off REST API data #1824
- Enhancement: Set orders Activity Panel unread indicator based off REST API data #1860
- Enhancement: Hide Reviews Activity Panel if reviews are disabled #1852
- Enhancement: Lookup product title in order meta if product has been deleted #1977
- Performance: Avoid unneeded chart rerenders #1780
- Performance: Don't run lookup table historical population on activation of plugin #1741
- Performance: Don't dispatch REST API requests when window/tab is hidden #1732
- Performance: Only check for unsnooze note on admin_init #1960

== 0.8.0 02/28/2019 == 

- Table Component: Reset search on compare
- Table Component: Fix search positioning in small viewports
- MenuItem Component: Added isCheckBox prop
- a11y: Enhancements to “Rows per Table” on the dashboard
- Taxes Report: Fix comparison mode and segmentation labels
- Test Framework: Require WordPress 5.0 or greater to run phpunit
- Chart Component: Preserve chart colors bug fix
- Navigation: Close wpadmin menu when navigating between reports in narrow viewports
- Analytics: Don’t show variation table when in an active search
- Analytics: Sort tabular data when selecting a Summary Number
- Dashboard: Fix for style of summary number placeholders
- Downloads/Customers Report: Fix for filters
- Chart: Mouse pointer now displayed in entire clickable area
- Chart: Fixes for the legend totals
- Chart: Refactor of d3 logic
- Chart: Add messaging when no data is available for selected filters
- Build: Move IE11 css to specific css file
- Downloads Report: Fix for sorting bug
- Stock Report: fix the product link
- Autocompleter: Increase debounce time to reduce API requests
- Segmented Selection Component: fix for missing borders
- Setup: Improvements to install flow
